#ifndef __CONFIG_H__
#define __CONFIG_H__


// time in millisecs between calls to CA-poll
// (resp. fileDescriptorManager.process)
#define CA_POLL_INTERVAL	30

// time in nanosecs which fileDescriptorManager.process
// is allowed to wait
#define FDM_PROCESS_DELAY 10


#ifdef _DEBUG

#define TRACELEVEL 4
// 3: print basic CEpicsPV read/write information
// 4: print detailed CEpicsPV read/write information

#if TRACELEVEL >= 4
#define TRACE4		ATLTRACE
#else
#define TRACE4      1 ? (void)0 : AtlTrace
#endif

#if TRACELEVEL >= 2
#define TRACE2		ATLTRACE
#else
#define TRACE2      1 ? (void)0 : AtlTrace
#endif


#endif

#endif //__CONFIG_H__