% Example: Serve an array

clear all;

% Create PV on server
pv = actxserver('EpicsCAServer.ProcessVariable');
pv.name = 'egon';

% Set value, an array in this case
value = [1 2 3];
invoke(pv, 'SetValue', value);

% Note that the array must be single-dimensional.
% It has to be a row-vector.
% A MatLab column vector (like value') will not work!

