@cls
@echo Your WINDIR is set to: %WINDIR%
@if exist  %WINDIR%\system32\atl.dll goto HAVE_ATL
@echo Installing ATL.DLL
@copy atlNT.dll %WINDIR%\system32\atl.dll
:HAVE_ATL
@echo (re-)registering ATL.DLL as %WINDIR%\system32\atl.dll
@%WINDIR%\system32\regsvr32 /c /s %WINDIR%\system32\atl.dll
@echo -
@if not exist EpicsCAServer.exe goto AFTER_SERVER
@echo Registering EpicsCAServer
@EpicsCAServer.exe -RegServer
@echo -
@echo You heard one beep - OK
@echo You heard three beeps - ERROR:
:AFTER_SERVER
@echo -
@if not exist EpicsCAClient.exe goto AFTER_CLIENT
@echo Registering EpicsCAClient
@EpicsCAClient.exe -RegServer
:AFTER_CLIENT
@echo -
@echo Is ATL.DLL in place now?
@echo Check registration:
@echo Look for EpicsCAServer.Processvariable
@echo in the registry.
@pause
