#ifndef _EPICSCASERVERCP_H_
#define _EPICSCASERVERCP_H_

template <class T>
class CProxy_IProcessVariableEvents : public IConnectionPointImpl<T, &DIID__IProcessVariableEvents, CComDynamicUnkArray>
{
	//Warning this class may be recreated by the wizard.
public:
	VOID Fire_Changed(VARIANT value_received)
	{
		T* pT = static_cast<T*>(this);
		int nConnectionIndex;
		int nConnections = m_vec.GetSize();
		
		for (nConnectionIndex = 0; nConnectionIndex < nConnections; nConnectionIndex++)
		{
			pT->Lock();
			CComPtr<IUnknown> sp = m_vec.GetAt(nConnectionIndex);
			pT->Unlock();
			IDispatch* pDispatch = reinterpret_cast<IDispatch*>(sp.p);
			if (pDispatch != NULL)
			{
				DISPPARAMS disp = { &value_received, NULL, 1, 0 };
				HRESULT res = pDispatch->Invoke(0x1, IID_NULL, LOCALE_USER_DEFAULT, DISPATCH_METHOD, &disp, NULL, NULL, NULL);
				ATLTRACE ("Fire_Changed yields 0x%08X\n", res);
			}
		}
	}
};
#endif